Skip to main content
`Ctrl`+`K`

# MatHtoolGetHierarchicalMat

Retrieves the opaque pointer to a Htool virtual matrix stored in a `MATHTOOL`.

## Synopsis

    #include "petscmat.h"
    PETSC_EXTERN PetscErrorCode MatHtoolGetHierarchicalMat(Mat A, const htool::DistributedOperator<PetscScalar> **distributed_operator)

No Fortran Support, No C Support

## Input Parameter

- A - hierarchical matrix

## Output Parameter

- distributed_operator - opaque pointer to a Htool virtual matrix

## See Also

Matrices, `Mat`, `MATHTOOL`

## Level

advanced

## Location

src/mat/impls/htool/htool.cxx

## Implementations

MatHtoolGetHierarchicalMat_Htool() in src/mat/impls/htool/htool.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages